## qqc2-breeze-style 6.3.0

=== debian/changelog ===
qqc2-breeze-style (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:26 +0100

qqc2-breeze-style (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:52:27 +0100

qqc2-breeze-style (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Add qml6-module-org-kde-guiaddons to build dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:31 +0100

qqc2-breeze-style (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:58:54 +0100

qqc2-breeze-style (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:33:50 +0100

qqc2-breeze-style (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Add build dependency to qt6-declarative-private-dev required since
    cmake 3.31.
  * Release to unstable.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Nov 2024 22:36:09 +0100

qqc2-breeze-style (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:02:44 +0200

qqc2-breeze-style (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:45 +0200

qqc2-breeze-style (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:55 +0200

qqc2-breeze-style (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:21 +0200

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               libkf6colorscheme-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libquickcharts-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-guiaddons,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-breeze (= ${binary:Version}), ${misc:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml6-module-org-kde-breeze
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 6.3.2

=== debian/changelog ===
qqc2-breeze-style (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:52:41 +0100

## qqc2-breeze-style 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(qqc2-breeze-style)
set(PROJECT_VERSION "6.3.4")

set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "qqc2-breeze-style requires an out of source build. Please create a separate build directory and run 'cmake -S /path/to/qqc2-breeze-style' there.")
endif()

# Make CPack available to easy generate binary packages
include(CPack)
include(FeatureSummary)

################# set KDE specific information #################

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Qml Quick QuickControls2 QuickTemplates2)

if (NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS GuiAddons Config KirigamiPlatform CoreAddons ColorScheme QuickCharts IconThemes)

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()

set_package_properties(QuickCharts PROPERTIES DESCRIPTION "KF6 QuickCharts framework"
                       TYPE REQUIRED
                       PURPOSE "Used to implement the BusyIndicator style"
                      )
set_package_properties(IconThemes PROPERTIES DESCRIPTION "KF6 IconThemes framework"
                       TYPE OPTIONAL
                       PURPOSE "Optional integration of Kirigami with KIconLoader icons handling for a better integration with Plasma Desktop"
                      )
set_package_properties(ColorScheme PROPERTIES DESCRIPTION "KF6 ColorScheme framework"
                       TYPE OPTIONAL
                       PURPOSE "Optional integration of Kirigami with KColorScheme for color palettes integration with Plasma Desktop"
                      )

ecm_setup_version(PROJECT
    VARIABLE_PREFIX QQC2BREEZESTYLE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/QQC2BreezeStyleConfigVersion.cmake"
    SOVERSION 5)

add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054900)

add_subdirectory(style)

add_subdirectory(kirigami-plasmadesktop-integration)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/QQC2BreezeStyle")

install(EXPORT QQC2BreezeStyleTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE QQC2BreezeStyleTargets.cmake)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/QQC2BreezeStyleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/QQC2BreezeStyleConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KDE_INSTALL_INCLUDEDIR_KF CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/QQC2BreezeStyleConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/QQC2BreezeStyleConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== style/impl/CMakeLists.txt ===
ecm_add_qml_module(BreezeImpl URI "org.kde.breeze.impl"
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
    "QtQuick.Controls"
    "QtQuick.Window"
    "org.kde.kirigami"
)

target_sources(BreezeImpl PRIVATE
    breezedial.cpp
    breezedial.h
    iconlabellayout.cpp
    iconlabellayout.h
    iconlabellayout_p.h
    kcolorutilssingleton.cpp
    kcolorutilssingleton.h
    paintedsymbolitem.cpp
    paintedsymbolitem.h
    paintedsymbolitem_p.h
    qquickicon.cpp
    qquickicon_p.h
)

set_source_files_properties(Units.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
set_source_files_properties(Theme.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)

ecm_target_qml_sources(BreezeImpl SOURCES
    ButtonBackground.qml
    CheckIndicator.qml
    ComboBoxBackground.qml
    CursorDelegate.qml
    CursorHandle.qml
    DelegateBackground.qml
    FocusRect.qml
    IconLabelContent.qml
    IconLabelShortcutContent.qml
    InlineIconLabelContent.qml
    LargeShadow.qml
    ListViewHighlight.qml
    MediumShadow.qml
    MenuItemBackground.qml
    OverlayDimBackground.qml
    OverlayModalBackground.qml
    RadioIndicator.qml
    ScrollHandle.qml
    SliderGroove.qml
    SliderHandle.qml
    SmallBoxShadow.qml
    SpinBoxIndicator.qml
    SwitchIndicator.qml
    TextEditBackground.qml
    Theme.qml
    Units.qml
)

target_link_libraries(BreezeImpl PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickControls2
    Qt6::QuickTemplates2
    KF6::ConfigCore
    KF6::GuiAddons
)

ecm_finalize_qml_module(BreezeImpl EXPORT QQC2BreezeStyleTargets)

=== style/qtquickcontrols/CMakeLists.txt ===
ecm_add_qml_module(BreezeStyle URI "org.kde.breeze"
    GENERATE_PLUGIN_SOURCE
    DESIGNER_SUPPORTED
    DEPENDENCIES
    "QtQuick.Controls"
    "QtQuick.Window"
    "org.kde.kirigami"
    "org.kde.quickcharts"
    "org.kde.breeze.impl"
    "org.kde.guiaddons"
)

ecm_target_qml_sources(BreezeStyle SOURCES
    AbstractButton.qml
    ApplicationWindow.qml
    BusyIndicator.qml
    Button.qml
    ButtonGroup.qml
    CheckBox.qml
    CheckDelegate.qml
    ComboBox.qml
    Container.qml
    Control.qml
    DelayButton.qml
    Dial.qml
    Dialog.qml
    DialogButtonBox.qml
    Drawer.qml
    Frame.qml
    GroupBox.qml
    HorizontalHeaderView.qml
    ItemDelegate.qml
    Label.qml
    Menu.qml
    MenuBar.qml
    MenuBarItem.qml
    MenuItem.qml
    MenuSeparator.qml
    MobileTextActionsToolBar.qml
    Page.qml
    PageIndicator.qml
    Pane.qml
    Popup.qml
    ProgressBar.qml
    RadioButton.qml
    RadioDelegate.qml
    RangeSlider.qml
    RoundButton.qml
    ScrollBar.qml
    ScrollIndicator.qml
    ScrollView.qml
    Slider.qml
    SpinBox.qml
    SplitView.qml
    StackView.qml
    SwipeDelegate.qml
    SwipeView.qml
    Switch.qml
    SwitchDelegate.qml
    TabBar.qml
    TabButton.qml
    TextArea.qml
    TextField.qml
    ToolBar.qml
    ToolButton.qml
    ToolSeparator.qml
    ToolTip.qml
    Tumbler.qml
    VerticalHeaderView.qml
)

if (NOT BUILD_SHARED_LIBS)
    target_link_libraries(BreezeStyle PRIVATE org.kde.breeze)
endif()

ecm_finalize_qml_module(BreezeStyle EXPORT QQC2BreezeStyleTargets)

=== debian/changelog ===
qqc2-breeze-style (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:59:42 +0100

qqc2-breeze-style (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:26:23 +0000

qqc2-breeze-style (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 >= 6.10.0

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 13:01:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: qqc2-breeze-style
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                libkf6colorscheme-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.10.0~),
                libkf6iconthemes-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
                libquickcharts-dev (>= 6.10.0~),
@@ -27,14 +28,15 @@
                qt6-declarative-private-dev,
 Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
 Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
 Rules-Requires-Root: no
 
 Package: libqqc2breezestyle-dev
 Section: libdevel
 Architecture: any
-Depends: qml6-module-org-kde-breeze (= ${binary:Version}), ${misc:Depends},
+Depends: qml6-module-org-kde-breeze (= ${binary:Version}),
+         ${misc:Depends},
 Description: development files for Breeze inspired QQC2 Style
  This is a pure Qt Quick/Kirigami Qt Quick Controls style.
  Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system

## qqc2-breeze-style 6.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.3.5")
 
 set(QT_MIN_VERSION "6.7.0")
 set(KF6_MIN_VERSION "6.10.0")
@@ -43,16 +43,12 @@
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus)
 endif()
 
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS GuiAddons Config KirigamiPlatform CoreAddons ColorScheme QuickCharts IconThemes)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS GuiAddons Config KirigamiPlatform CoreAddons ColorScheme IconThemes)
 
 if (NOT APPLE AND NOT WIN32)
     find_package(X11)
 endif()
 
-set_package_properties(QuickCharts PROPERTIES DESCRIPTION "KF6 QuickCharts framework"
-                       TYPE REQUIRED
-                       PURPOSE "Used to implement the BusyIndicator style"
-                      )
 set_package_properties(IconThemes PROPERTIES DESCRIPTION "KF6 IconThemes framework"
                        TYPE OPTIONAL
                        PURPOSE "Optional integration of Kirigami with KIconLoader icons handling for a better integration with Plasma Desktop"

=== kirigami-plasmadesktop-integration/CMakeLists.txt ===
if (BUILD_SHARED_LIBS)
    add_library(org.kde.breeze MODULE)
else()
    add_library(org.kde.breeze)
endif()

target_sources(org.kde.breeze PRIVATE
    plasmadesktoptheme.cpp
    kirigamiplasmafactory.cpp
    units.cpp
)

target_link_libraries(org.kde.breeze
    PUBLIC
        Qt::Core
        KF6::KirigamiPlatform
    PRIVATE
        Qt::Qml
        Qt::Quick
        KF6::GuiAddons
        KF6::ColorScheme
        KF6::IconThemes
)

if(NOT ANDROID)
    target_link_libraries(org.kde.breeze PRIVATE Qt::DBus)
else()
    set_target_properties(org.kde.breeze PROPERTIES OUTPUT_NAME libplugins_kf6_kirigami_platform_org.kde.breeze)
endif()

if (NOT BUILD_SHARED_LIBS)
    target_compile_definitions(org.kde.breeze PRIVATE QT_STATICPLUGIN=1)
    set_target_properties(org.kde.breeze PROPERTIES QT_PLUGIN_CLASS_NAME KirigamiPlasmaFactory)
    __qt_internal_add_static_plugin_init_object_library(org.kde.breeze plugin_init_target)
    __qt_internal_propagate_object_library(org.kde.breeze "${plugin_init_target}")
endif()

install(TARGETS org.kde.breeze ${plugin_init_target} DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kirigami/platform EXPORT QQC2BreezeStyleTargets)

=== debian/changelog ===
qqc2-breeze-style (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Kcm: When adding a printer/group, allow the ability to set as default.
    - Revert "kcm: don't assign undefined to component".

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:38 +0200

qqc2-breeze-style (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:00:40 +0200

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               libkf6colorscheme-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libquickcharts-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-guiaddons,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-breeze (= ${binary:Version}), ${misc:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml6-module-org-kde-breeze
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 6.4.4

=== debian/changelog ===
qqc2-breeze-style (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:17 +0200

qqc2-breeze-style (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 15:03:02 +0200

qqc2-breeze-style (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:13 +0100

qqc2-breeze-style (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:12 +0100

## qqc2-breeze-style 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.3.5")
+set(PROJECT_VERSION "6.4.5")
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -39,11 +39,19 @@
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Qml Quick QuickControls2 QuickTemplates2)
 
-if (NOT ANDROID)
-    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus)
+# shall we use DBus?
+# enabled per default on Linux & BSD systems
+set(USE_DBUS_DEFAULT OFF)
+if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
+    set(USE_DBUS_DEFAULT ON)
+endif()
+option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
+if(USE_DBUS)
+  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
+  set(HAVE_DBUS ON)
 endif()
 
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS GuiAddons Config KirigamiPlatform CoreAddons ColorScheme IconThemes)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS GuiAddons Config KirigamiPlatform ColorScheme IconThemes)
 
 if (NOT APPLE AND NOT WIN32)
     find_package(X11)

=== style/CMakeLists.txt ===
add_subdirectory(impl)
add_subdirectory(qtquickcontrols)

if(ANDROID)
    install(FILES BreezeLight.colors BreezeDark.colors DESTINATION ${KDE_INSTALL_DATADIR}/color-schemes)
endif()

=== debian/changelog ===
qqc2-breeze-style (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:47 +0100

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.14.0~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libquickcharts-dev (>= 6.14.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-guiaddons,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-breeze (= ${binary:Version}),
         ${misc:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml6-module-org-kde-breeze
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 6.4.5+p24.04+vstable+git20251017.0644

=== debian/changelog ===
qqc2-breeze-style (6.4.5+p24.04+vstable+git20251017.0644-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 06:44:47 +0000

qqc2-breeze-style (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:46:07 +0000

qqc2-breeze-style (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:26:05 +0000

qqc2-breeze-style (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:15:07 +0000

qqc2-breeze-style (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:42:14 +0000

qqc2-breeze-style (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:56:42 +0000

qqc2-breeze-style (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:33:43 +0000

qqc2-breeze-style (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:05:06 +0000

qqc2-breeze-style (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:18:36 +0000

qqc2-breeze-style (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:15:09 +0000

qqc2-breeze-style (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:16:34 +0000

qqc2-breeze-style (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:02:12 +0000

qqc2-breeze-style (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:35:32 +0000

qqc2-breeze-style (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:07:38 +0000

qqc2-breeze-style (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:40:18 +0000

qqc2-breeze-style (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:19:31 +0000

qqc2-breeze-style (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:12:12 +0000

qqc2-breeze-style (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:21:48 +0000

qqc2-breeze-style (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:27:02 +0000

qqc2-breeze-style (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:18:25 +0000

qqc2-breeze-style (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:36:09 +0000

qqc2-breeze-style (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:11:38 +0000

qqc2-breeze-style (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:46:03 +0000

qqc2-breeze-style (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:05:26 +0000

qqc2-breeze-style (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:23:37 +0000

qqc2-breeze-style (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:53:53 +0000

qqc2-breeze-style (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:19:36 +0000

qqc2-breeze-style (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:26:30 +0000

qqc2-breeze-style (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:15:24 +1000

qqc2-breeze-style (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:55:38 +0000

qqc2-breeze-style (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:04:42 +0000

qqc2-breeze-style (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:12:10 +0000

qqc2-breeze-style (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:13:52 +0000

qqc2-breeze-style (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:39:38 +0000

qqc2-breeze-style (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:36:29 +0000

qqc2-breeze-style (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:14:38 +0000

qqc2-breeze-style (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:11:24 +0000

qqc2-breeze-style (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:40:08 +0000

qqc2-breeze-style (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:51:00 +0000

qqc2-breeze-style (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:51:34 +0000

qqc2-breeze-style (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:49:49 +0000

qqc2-breeze-style (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:29:07 +0000

qqc2-breeze-style (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:04:59 +0000

qqc2-breeze-style (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:45:45 +0000

qqc2-breeze-style (5.25.4-0neon) focal; urgency=medium



## qqc2-breeze-style 6.4.5+p24.04+vstable+git20251019.0333

=== debian/changelog ===
qqc2-breeze-style (6.4.5+p24.04+vstable+git20251019.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:33:10 +0000

## qqc2-breeze-style 6.4.91

=== debian/changelog ===
qqc2-breeze-style (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:56:40 +0200

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libquickcharts-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-guiaddons,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-breeze (= ${binary:Version}),
         ${misc:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml6-module-org-kde-breeze
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.0")
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== kirigami-plasmadesktop-integration/CMakeLists.txt ===
--- 
+++ 
@@ -22,9 +22,17 @@
         KF6::IconThemes
 )
 
-if(NOT ANDROID)
-    target_link_libraries(org.kde.breeze PRIVATE Qt::DBus)
+if (HAVE_DBUS)
+    target_link_libraries(org.kde.breeze
+        PRIVATE
+        Qt6::DBus
+    )
+    target_compile_definitions(org.kde.breeze PRIVATE -DHAVE_QTDBUS=1)
 else()
+    target_compile_definitions(org.kde.breeze PRIVATE -DHAVE_QTDBUS=0)
+endif()
+
+if(ANDROID)
     set_target_properties(org.kde.breeze PROPERTIES OUTPUT_NAME libplugins_kf6_kirigami_platform_org.kde.breeze)
 endif()

=== debian/changelog ===
qqc2-breeze-style (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-breeze-style
-Rules-Requires-Root: no
 
 Package: libqqc2breezestyle-dev
 Section: libdevel

## qqc2-breeze-style 6.5.0+p24.04+vstable+git20251021.0904

=== debian/changelog ===
qqc2-breeze-style (6.5.0+p24.04+vstable+git20251021.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:04:24 +0000

qqc2-breeze-style (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:37:47 +0000

## qqc2-breeze-style 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== style/qtquickcontrols/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
     "QtQuick.Controls"
     "QtQuick.Window"
     "org.kde.kirigami"
-    "org.kde.quickcharts"
     "org.kde.breeze.impl"
     "org.kde.guiaddons"
 )

=== debian/changelog ===
qqc2-breeze-style (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:49:32 +0000

qqc2-breeze-style (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:40:19 +0100

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libquickcharts-dev (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-guiaddons,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-breeze (= ${binary:Version}),
         ${misc:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml6-module-org-kde-breeze
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.

## qqc2-breeze-style 6.5.1+p24.04+vstable+git20251029.0754

=== debian/changelog ===
qqc2-breeze-style (6.5.1+p24.04+vstable+git20251029.0754-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:54:21 +0000

qqc2-breeze-style (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:06:12 +0000

## qqc2-breeze-style 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== style/impl/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,7 @@
     SliderHandle.qml
     SmallBoxShadow.qml
     SpinBoxIndicator.qml
+    StandardRectangle.qml
     SwitchIndicator.qml
     TextEditBackground.qml
     Theme.qml

=== debian/changelog ===
qqc2-breeze-style (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:21 +0100

qqc2-breeze-style (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:13:55 +0100

## qqc2-breeze-style 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
qqc2-breeze-style (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:24:12 +0100

## qqc2-breeze-style 6.5.3+p24.04+vunstable+git20251209.0423

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
qqc2-breeze-style (6.5.3+p24.04+vunstable+git20251209.0423-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 04:23:30 +0000

qqc2-breeze-style (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:41 +1000

qqc2-breeze-style (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:05 +1000

## qqc2-breeze-style 6.5.4

=== debian/changelog ===
qqc2-breeze-style (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:24:28 +0000

qqc2-breeze-style (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:10:38 +0000

qqc2-breeze-style (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:15:07 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                libkf6colorscheme-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
@@ -35,8 +35,7 @@
 Package: libqqc2breezestyle-dev
 Section: libdevel
 Architecture: any
-Depends: qml6-module-org-kde-breeze (= ${binary:Version}),
-         ${misc:Depends},
+Depends: qml6-module-org-kde-breeze (= ${binary:Version}), ${misc:Depends},
 Description: development files for Breeze inspired QQC2 Style
  This is a pure Qt Quick/Kirigami Qt Quick Controls style.
  Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system

## qqc2-breeze-style 6.5.4+p24.04+vunstable+git20251209.1116

=== debian/changelog ===
qqc2-breeze-style (6.5.4+p24.04+vunstable+git20251209.1116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:16:27 +0000

qqc2-breeze-style (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:56 +1000

## qqc2-breeze-style 6.5.5

=== debian/changelog ===
qqc2-breeze-style (6.5.5-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 20:52:51 +0000

qqc2-breeze-style (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:29 +1000

## qqc2-breeze-style 6.5.5+p24.04+vstable+git20260114.0240

=== debian/changelog ===
qqc2-breeze-style (6.5.5+p24.04+vstable+git20260114.0240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 02:40:57 +0000

## qqc2-breeze-style 6.5.5+p24.04+vstable+git20260130.0826

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.91")
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
qqc2-breeze-style (6.5.5+p24.04+vstable+git20260130.0826-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:26:14 +0000

## qqc2-breeze-style 6.5.5+p24.04+vunstable+git20260201.0726

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(qqc2-breeze-style)
-set(PROJECT_VERSION "6.5.91")
+set(PROJECT_VERSION "6.6.80")
 
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
qqc2-breeze-style (6.5.5+p24.04+vunstable+git20260201.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:26:31 +0000

## qqc2-breeze-style 6.5.5+p24.04+vunstable+git20260209.0856

=== debian/changelog ===
qqc2-breeze-style (6.5.5+p24.04+vunstable+git20260209.0856-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 08:56:11 +0000

## qqc2-breeze-style 6.6.1

=== debian/changelog ===
qqc2-breeze-style (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:17:55 +0000

qqc2-breeze-style (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:09:54 +0000

## qqc2-breeze-style 6.6.2

=== debian/changelog ===
qqc2-breeze-style (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:25:42 +0000

=== debian/control ===
Source: qqc2-breeze-style
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.22.0~),
               libkf6colorscheme-dev (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6guiaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6iconthemes-dev (>= 6.22.0~),
               libkirigami-dev (>= 6.22.0~),
               libquickcharts-dev (>= 6.22.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-guiaddons,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-declarative-private-dev (>= 6.10.0~),
Homepage: https://invent.kde.org/plasma/qqc2-breeze-style
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-breeze-style
Rules-Requires-Root: no

Package: libqqc2breezestyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-breeze (= ${binary:Version}),
         ${misc:Depends},
Description: development files for Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
 .
 This package contains the development files.

Package: qml6-module-org-kde-breeze
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Breeze inspired QQC2 Style
 This is a pure Qt Quick/Kirigami Qt Quick Controls style.
 Unlike QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
 QStyle.
